# ubisync
This repo provides arbitrary data synchronization via I2P.

## Goals
- [ ] Core library for delta-syncing data via I2P
- [ ] Simple multi-platform GUI for setup and administration of one's ubisync node
- [ ] API for other software running on the same machine, providing sync of their data

## Vision
- Tag-based and full-text search across all data of the node
- Expose common data types found in any application's data store to the API
    - recognize to-dos or dates in any data and expose them
    - expose all data linked to any given time interval (e.g. files changed and messages sent on a given day)
    - ...
- Allow easy-to-set-up passive nodes which clone all data of the active nodes, essentially replacing data sync servers and serving as sovereign backup solution